Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.property
Interface Property

All Superinterfaces:
  PropertyAccessor, java.io.Serializable

All Known Subinterfaces:
  ArcProperty, CollectionProperty, SingleObjectArcProperty

All Known Implementing Classes:
  AbstractCollectionProperty, AbstractSingleObjectArcProperty, IndexedListProperty, ListProperty, PersistentObjectProperty, SimpleProperty, ToManyListProperty, ValueHolderProperty

    public interface Property

extends PropertyAccessor

Defines bean property API used by Cayenne to access object data, do faulting and graph maintenance tasks.

Since:
  1.2
Author:
  Andrus Adamchik

Method Summary
`void` | `injectValueHolder(java.lang.Object object)` If a property is implemented as a ValueHolder, this operation would create an unfaulted value holder and inject it into the object, if an object doesn't have it set yet.
`java.lang.Object` | `readProperty(java.lang.Object object)` Returns a property value, resolving object fault if needed.
`void` | `shallowMerge(java.lang.Object from, java.lang.Object to)` Copies a property value from one object to another.
`boolean` | `visit(PropertyVisitor visitor)`
`void` | `writeProperty(java.lang.Object object, java.lang.Object oldValue, java.lang.Object newValue)` Sets a property value,resolving object fault if needed.

Methods inherited from interface org.objectstyle.cayenne.property.PropertyAccessor
`getName, readPropertyDirectly, writePropertyDirectly`

Method Detail

### readProperty

    java.lang.Object readProperty(java.lang.Object object)
                                  throws PropertyAccessException

  Returns a property value, resolving object fault if needed.

  Throws:
    `PropertyAccessException`

### writeProperty

    void writeProperty(java.lang.Object object,
                       java.lang.Object oldValue,
                       java.lang.Object newValue)
                       throws PropertyAccessException

  Sets a property value,resolving object fault if needed. Old value of the property is specified as a hint.

  Throws:
    `PropertyAccessException`

### visit

    boolean visit(PropertyVisitor visitor)

### injectValueHolder

    void injectValueHolder(java.lang.Object object)
                           throws PropertyAccessException

  If a property is implemented as a ValueHolder, this operation would create an unfaulted value holder and inject it into the object, if an object doesn't have it set yet.

  Throws:
    `PropertyAccessException`

### shallowMerge

    void shallowMerge(java.lang.Object from,
                      java.lang.Object to)
                      throws PropertyAccessException

  Copies a property value from one object to another.

  Throws:
    `PropertyAccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.